/*
    framework jex
    test lexical analyzer
    author: Christoph Zenger
    date: 22.03.2000
*/ 

package jex;

class ScannerTest {
    
    public static void main(String args[]) throws Exception {
        Scanner scanner = new Scanner(System.in);
        jaco.framework.parser.Symbol sym;
        do {
            sym = scanner.nextToken();
            System.out.println("Token(" 
                + Position.posToString(sym.left) + ", "
                + Position.posToString(sym.right) + "): "
                + scanner.representation(sym.sym)
                + ((sym.value != null) ? "(" + sym.value + ")" : ""));
        } while (sym.sym != Tokens.EOF);
    }	
}
