/*
    framework jex
    test lexical analyzer
    author: Matthias Zenger, Christoph Zenger
    date: 22.03.2000
*/ 
 
package jex;

import java.util.Hashtable;

final class Report {
    static Hashtable errorLog = new Hashtable();
    
    static int errCount = 0;
    
    static void reset() {
        errCount = 0;
        errorLog = new Hashtable();
    }
    
    static void error(int pos, String message) {
        Integer position = new Integer(pos);
        if (errorLog.get(position) == null) {
            System.out.println(Position.posToString(pos)
                               + ": " + message);
            errorLog.put(position, message);
            errCount ++;
        }
    }
}
